### Hierarchy

- FlowNodeHandler
  - StartEventHandler
  - EndEventHandler
  - GatewayHandler
  - ServiceTaskHandler
  - ErrorBoundaryEventHandler
  - ScriptTaskHandler
  - IntermedtiateCatchEventHandler

### Implements

- IFlowNodeHandler

## Index

### Methods

- afterExecute
- execute
- executeIntern
- getFlowNodeById
- getNextFlowNodeFor
- getNextFlowNodeId

## Methods

### Private afterExecute

- afterExecute(flowNode: INodeDefEntity, processToken: IProcessTokenEntity, context: ExecutionContext): Promise<void>

- - Defined in execution/handler/flow_node_handler.ts:45

  #### Parameters

  - ##### flowNode: INodeDefEntity

  - ##### processToken: IProcessTokenEntity

  - ##### context: ExecutionContext

  #### Returns Promise<void>

### execute

- execute(flowNode: INodeDefEntity, processToken: IProcessTokenEntity, context: ExecutionContext): Promise<NextFlowNodeInfo>

- Implementation of IFlowNodeHandler.execute

  - Defined in execution/handler/flow_node_handler.ts:8

  #### Parameters

  - ##### flowNode: INodeDefEntity

  - ##### processToken: IProcessTokenEntity

  - ##### context: ExecutionContext

  #### Returns Promise<NextFlowNodeInfo>

### Protected executeIntern

- executeIntern(flowNode: INodeDefEntity, processToken: IProcessTokenEntity, context: ExecutionContext): Promise<NextFlowNodeInfo>

- - Defined in execution/handler/flow_node_handler.ts:15

  #### Parameters

  - ##### flowNode: INodeDefEntity

  - ##### processToken: IProcessTokenEntity

  - ##### context: ExecutionContext

  #### Returns Promise<NextFlowNodeInfo>

### Protected getFlowNodeById

- getFlowNodeById(flowNodeId: string, processDefinition: IProcessDefEntity): INodeDefEntity

- - Defined in execution/handler/flow_node_handler.ts:24

  #### Parameters

  - ##### flowNodeId: string

  - ##### processDefinition: IProcessDefEntity

  #### Returns INodeDefEntity

### Protected getNextFlowNodeFor

- getNextFlowNodeFor(flowNode: INodeDefEntity, context: ExecutionContext): Promise<INodeDefEntity>

- - Defined in execution/handler/flow_node_handler.ts:17

  #### Parameters

  - ##### flowNode: INodeDefEntity

  - ##### context: ExecutionContext

  #### Returns Promise<INodeDefEntity>

### Private getNextFlowNodeId

- getNextFlowNodeId(flowNodeId: string, processDefinition: IProcessDefEntity, context: ExecutionContext): Promise<string>

- - Defined in execution/handler/flow_node_handler.ts:32

  #### Parameters

  - ##### flowNodeId: string

  - ##### processDefinition: IProcessDefEntity

  - ##### context: ExecutionContext

  #### Returns Promise<string>

Generated using TypeDoc